# Configuration file, be careful to respect the Perl syntax.
# Don't modify this file, copy it to config.my.pl and make your changes there.

# The log file path
log_file => '/var/log/vn-vmware.log',

# The datacenter name
datacenter => 'datacenter1',

# The datastore name where backups must be stored
backup_datastore => 'backups',

# The local directory where backups datastore folder is mounted
# If it's mounted via NFS you have to disable caching for the mount
local_backup_dir => '/mnt/vm-backups',

# Number of processes used by pigz to compress backups
pigz_processes => 1,

# Backup jobs
backup_jobs => {
    schedule1 => {
        machines => ['test'],
        rotation => 'lastMonth'
    }
},

# Backup rotation configuration
rotations => {
    lastMonth => {
        days => 31,
        count => 31
    }
},

# Clone jobs
clone_jobs => {
    machine => {
        vm => 'test',
        dst_name => 'test-clone',
        dst_host => '127.0.0.1',
        dst_datastore => 'datastore1',
        memory => 4084,
        num_cpus => 2,
        mac => '00:50:56:BF:01:01',
        poweron => 1,

        # Be very careful with this option! It deletes destination machine if it exists.
        overwrite => 1
    }
}
